Package io.vertx.lang.groovy

## Class GroovyVerticleFactory

- java.lang.Object
- - io.vertx.lang.groovy.GroovyVerticleFactory

- All Implemented Interfaces:
    `VerticleFactory`

      public class GroovyVerticleFactory
      extends Object
      implements VerticleFactory

  Placeholder
  Author:
    Tim Fox, Alexander Klein, Danny Kirchmeier, Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovyVerticleFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the factory.
    `void` | `createVerticle​(String verticleName, ClassLoader classLoader, Promise<Callable<Verticle>> promise)` | Create a verticle instance.
    `void` | `init​(Vertx vertx)` | Initialise the factory
    `String` | `prefix()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.spi.VerticleFactory

      `createVerticle2, order`

- - ### Constructor Detail

    - #### GroovyVerticleFactory

          public GroovyVerticleFactory()

  - ### Method Detail

    - #### init

          public void init​(Vertx vertx)

      Description copied from interface: `VerticleFactory`
      Initialise the factory
      Specified by:
        `init` in interface `VerticleFactory`
      Parameters:
        `vertx` - The Vert.x instance

    - #### prefix

          public String prefix()

      Specified by:
        `prefix` in interface `VerticleFactory`
      Returns:
        The prefix for the factory, e.g. "java", or "js".

    - #### createVerticle

          public void createVerticle​(String verticleName,
                                     ClassLoader classLoader,
                                     Promise<Callable<Verticle>> promise)

      Description copied from interface: `VerticleFactory`
      Create a verticle instance. If this method is likely to be slow then make sure it is run on a worker thread by `Vertx.executeBlocking(java.util.concurrent.Callable<T>, boolean)`.
      Specified by:
        `createVerticle` in interface `VerticleFactory`
      Parameters:
        `verticleName` - The verticle name
        `classLoader` - The class loader
        `promise` - the promise to complete with the result

    - #### close

          public void close()

      Description copied from interface: `VerticleFactory`
      Close the factory. The implementation must release all resources.
      Specified by:
        `close` in interface `VerticleFactory`